What version of flexisign is compatible with the Mutoh Kona?

saihelp

New Member
Mutoh kona cutters are only supported with flexi 10 and 10.5.

The only way to know if a version of flexi has a cutter is by installing that version. You can even install flexi in demo mode to see if such printer or cutter is available on that level. Hope that helps
 
Top